Bug 9955 - gimptool-2.0 should be in libgimp2-devel
: gimptool-2.0 should be in libgimp2-devel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gimp2)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
: relnote
:
:
  Show dependency tree
 
Reported: 2006-09-04 14:08 by
Modified: 2007-02-14 17:33 (History)


Attachments
gimp2.spec.diff (1.77 KB, patch)
2007-01-19 01:46, Konstantin A Lepikhov (L.A. Kostis)
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-04 14:08:24
gimptool-2.0 have the same functions like *.pc/-config files so it must be in
-devel package. It also remove huge overhead with installed packages during
building of any gimp2-aware app.
------- Comment #1 From 2006-09-06 01:29:06 -------
Хорошо. Попробую на днях.
------- Comment #2 From 2006-10-04 00:45:07 -------
Анатолий, дай NMU ;)
------- Comment #3 From 2006-10-26 01:27:13 -------
this bug is not fixed in 2.2.13. Changing Severity to blocker.
------- Comment #4 From 2007-01-03 20:42:47 -------
Я уже наткнулся на проблемы без gutenprint, хотя вроде как данная мешающая 
бага обещана быть исправленной ещё в сентябре прошлого года.
http://lists.altlinux.org/pipermail/devel/2006-September/036078.html
------- Comment #5 From 2007-01-16 23:22:03 -------
Давайте определимся, надо как-то сдвинуть этот вопрос.
------- Comment #6 From 2007-01-19 00:57:11 -------
Давайте. 
Я же предлагал NMU.
Или кинте спек, пересоберу.
------- Comment #7 From 2007-01-19 01:46:04 -------
Created an attachment (id=1760) [details]
gimp2.spec.diff

Патч с исправлением данной баги + включающий SSE/MMX (хитрости со сборкой взяты
из opensuse, похоже так нужно делать из-за кривого asm кода).
------- Comment #8 From 2007-01-19 01:46:51 -------
TODO - проверить, что эти хитрости со сборкой MMX/SSE актуальны для новой
версии
gimp в Дедале.
------- Comment #9 From 2007-02-11 20:00:23 -------
Залил новую версию. Бредовину со сборкой MMX/SSE выкинул, она дает
трудновоспроизводимый крах приложения на процессорах AMD.
------- Comment #10 From 2007-02-14 17:33:59 -------
(In reply to comment #9)
> Залил новую версию.
Ой спасибо :-)